package test;

public class TestAll extends AbstractTest {

	public static void main(String[] args) {
		TestAll t = new TestAll();
	}

	private AbstractTest[] testSuite;

	public TestAll() {
		this.testName = this.getClass().getName();
	}	
	
	protected void init() {
		super.init();
		this.testSuite = new AbstractTest[] {
				new TestKeyBased(),
                                new TestCode1(),
                                new TestCode2(),
				new TestSecretKeyCodeImpl1(),
				new TestSecretKeyCodeImpl2(),
				new TestRandomKeyCodeImpl1(),
				new TestRandomKeyCodeImpl2(),
				new TestCesarCodeImpl1(),
				new TestCesarCodeImpl2(),
                                new TestCryptoMachine1(),
                                new TestCryptoMachine2(),
		};
	}
	
	public void runTests() {	
		for (AbstractTest test : this.testSuite) {
			this.testCount += test.getTestCount();
			this.testFailed += test.getTestFailedCount();
			this.testSucceeded += test.getTestSucceededCount();
			this.testExpected += test.getTestExpectedCount();
		}
	}
		
}
