package test;

public class TestCesarCodeImpl1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestCesarCodeImpl1();
    }

    protected void runTests() {
        this.testExpected = 5;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(crypto.CesarCodeImpl.class, "getName", new Class[]{}, "missing method getName() in class CesarCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.SecretKeyCodeImpl.class "getName", new Class[] { }, "return type of method getName() should be String in class CesarCodeImpl");

        assertDeclaredMethod(crypto.CesarCodeImpl.class, "getShiftLevel", new Class[]{}, "missing method getShiftLevel() in class CesarCodeImpl");
        // TODO: check return type is 'int'
        //assertReturnType(crypto.CesarCodeImpl.class "getShiftLevel", new Class[] { String.class }, "return type of method getShiftLevel() should be int in class CesarCodeImpl");

        assertDeclaredMethod(crypto.CesarCodeImpl.class, "encode", new Class[]{String.class}, "missing method encode(String) in class SecretKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.CesarCodeImpl.class "encode", new Class[] { String.class }, "return type of method encde() should be String in class CesarCodeImpl");

        assertDeclaredMethod(crypto.CesarCodeImpl.class, "decode", new Class[]{String.class}, "missing method decode(String) in class SecretKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.CesarCodeImpl.class "decode", new Class[] { String.class }, "return type of method decode() should be String in class CesarCodeImpl");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(crypto.CesarCodeImpl.class, new Class[]{int.class}, "missing constructor CesarCodeImpl(int) in class CesarCodeImpl");
    }
}
