package test;

public class TestCode1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestCode1();
    }

    protected void runTests() {
        this.testExpected = 4;
        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(crypto.Code.class, "getName", new Class[]{}, "missing method getName() in class Code");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.Code.class "getName", new Class[] { String.class }, "return type of method getName() should be String in class Code");

        assertDeclaredMethod(crypto.Code.class, "encode", new Class[]{String.class}, "missing method encode(String) in class Code");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.Code.class "encode", new Class[] { String.class }, "return type of method encode() should be String in class Code");

        assertDeclaredMethod(crypto.Code.class, "decode", new Class[]{String.class}, "missing method decode(String) in class Code");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.Code.class "decode", new Class[] { String.class }, "return type of method decode() should be String in class Code");

    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(crypto.Code.class, new Class[]{String.class}, "missing constructor Code(String) in class Code");
    }
}
