package test;

public class TestCode2 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestCode2();
    }

    protected void runTests() {
        this.testExpected = 2;
        try {
            testGetName();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    class MyCode extends crypto.Code {

        public MyCode(String myName) {
            super(myName);
        }

        public String encode(String msg) {
            return "E";
        }

        public String decode(String msg) {
            return "X";
        }
    }

    public void testGetName() {
        MyCode p = new MyCode("R2D2");

        String expected = "R2D2";
        String value = p.getName();
        assertEquals(expected, value);

        p = new MyCode(null);
        expected = null;
        value = p.getName();
        assertTrue(expected == value, "getName() should return null if null was set as code name");
    }
    // TODO: check encode and decode are abstract methods
}
