package test;

public class TestCryptoMachine1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestCryptoMachine1();
    }

    protected void runTests() {
        this.testExpected = 6;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(crypto.CryptoMachine.class, "setCryptoStrategy", new Class[]{crypto.Code.class}, "missing method setCryptoStrategy(Code) in class CryptoMachine");
        // TODO: check return type is 'void'
        //assertReturnType(crypto.CryptoMachine.class "setCryptoStrategy", new Class[] { }, "return type of method setCryptoStrategy() should be void in class CryptoMachine");

        assertDeclaredMethod(crypto.CryptoMachine.class, "encode", new Class[]{String.class}, "missing method encode(String) in class CryptoMachine");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.CryptoMachine.class "encode", new Class[] { String.class}, "return type of method encode() should be void in class CryptoMachine");

        assertDeclaredMethod(crypto.CryptoMachine.class, "decode", new Class[]{String.class}, "missing method decode(String) in class CryptoMachine");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.CryptoMachine.class "decode", new Class[] { String.class}, "return type of method decode() should be String in class CryptoMachine");

        assertDeclaredMethod(crypto.CryptoMachine.class, "test", new Class[]{String.class}, "missing method test(String) in class CryptoMachine");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.CryptoMachine.class "test", new Class[] { String.class}, "return type of method test() should be String in class CryptoMachine");

        assertDeclaredMethod(crypto.CryptoMachine.class, "getInformation", new Class[]{}, "missing method getInformation() in class CryptoMachine");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.CryptoMachine.class "getInformation", new Class[] { String.class}, "return type of method getInformation() should be String in class CryptoMachine");

    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(crypto.CryptoMachine.class, new Class[]{}, "missing constructor CryptoMachine() in class CryptoMachine");
    }
}
