package test;

public class TestRandomKeyCodeImpl1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestRandomKeyCodeImpl1();
    }

    protected void runTests() {
        this.testExpected = 6;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredClassMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(crypto.RandomKeyCodeImpl.class, "getSecretKey", new Class[]{}, "missing method getSecretKey() in class RandomKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.RandomKeyCodeImpl.class "getSecretKey", new Class[] { String.class }, "return type of method getSecretKey() should be String in class RandomKeyCodeImpl");

        assertDeclaredMethod(crypto.RandomKeyCodeImpl.class, "getKeyLength", new Class[]{}, "missing method getKeyLength() in class RandomKeyCodeImpl");
        // TODO: check return type is 'int'
        //assertReturnType(crypto.RandomKeyCodeImpl.class "getKeyLength", new Class[] { String.class }, "return type of method getKeyLength() should be int in class RandomKeyCodeImpl");

        assertDeclaredMethod(crypto.RandomKeyCodeImpl.class, "getName", new Class[]{}, "missing method getName() in class RandomKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.RandomKeyCodeImpl.class "getName", new Class[] { }, "return type of method getName() should be String in class RandomKeyCodeImpl");

        assertDeclaredMethod(crypto.RandomKeyCodeImpl.class, "encode", new Class[]{String.class}, "missing method encode(String) in class RandomKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.RandomKeyCodeImpl.class "encode", new Class[] { String.class }, "return type of method encde() should be String in class RandomKeyCodeImpl");

        assertDeclaredMethod(crypto.RandomKeyCodeImpl.class, "decode", new Class[]{String.class}, "missing method decode(String) in class RandomKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.RandomKeyCodeImpl.class "decode", new Class[] { String.class }, "return type of method decode() should be String in class RandomKeyCodeImpl");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(crypto.RandomKeyCodeImpl.class, new Class[]{int.class}, "missing constructor SecretKeyCodeImpl(int) in class RandomKeyCodeImpl");
    }

    public void testDeclaredClassMethods() {
        // TODO: check class method
        //assertDeclaredMethod(crypto.RandomKeyCodeImpl.class, "generateKey", new Class[]{int.class}, "missing method generateKey(int) in class RandomKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.RandomKeyCodeImpl.class "generateKey", new Class[] { String.class }, "return type of method generateKey() should be String in class RandomKeyCodeImpl");
    }
}
