package test;

public class TestSecretKeyCodeImpl1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestSecretKeyCodeImpl1();
    }

    protected void runTests() {
        this.testExpected = 6;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(crypto.SecretKeyCodeImpl.class, "getSecretKey", new Class[]{}, "missing method getSecretKey() in class SecretKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.SecretKeyCodeImpl.class "getSecretKey", new Class[] { String.class }, "return type of method getSecretKey() should be String in class SecretKeyCodeImpl");

        assertDeclaredMethod(crypto.SecretKeyCodeImpl.class, "getKeyLength", new Class[]{}, "missing method getKeyLength() in class SecretKeyCodeImpl");
        // TODO: check return type is 'int'
        //assertReturnType(crypto.SecretKeyCodeImpl.class "getKeyLength", new Class[] { String.class }, "return type of method getKeyLength() should be int in class SecretKeyCodeImpl");

        assertDeclaredMethod(crypto.SecretKeyCodeImpl.class, "getName", new Class[]{}, "missing method getName() in class SecretKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.SecretKeyCodeImpl.class "getName", new Class[] { }, "return type of method getName() should be String in class SecretKeyCodeImpl");

        assertDeclaredMethod(crypto.SecretKeyCodeImpl.class, "encode", new Class[]{String.class}, "missing method encode(String) in class SecretKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.SecretKeyCodeImpl.class "encode", new Class[] { String.class }, "return type of method encde() should be String in class SecretKeyCodeImpl");

        assertDeclaredMethod(crypto.SecretKeyCodeImpl.class, "decode", new Class[]{String.class}, "missing method decode(String) in class SecretKeyCodeImpl");
        // TODO: check return type is 'String'
        //assertReturnType(crypto.SecretKeyCodeImpl.class "decode", new Class[] { String.class }, "return type of method decode() should be String in class SecretKeyCodeImpl");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(crypto.SecretKeyCodeImpl.class, new Class[]{String.class}, "missing constructor SecretKeyCodeImpl(String) in class SecretKeyCodeImpl");
    }
}
